// src/rices/rices.module.ts

import { Module, } from '@nestjs/common';
import { SharedService } from './shared.service';
import { GitHubModule } from '../github/github.module';
import { RicesController } from './rices.controller';
import { SpacesController } from './spaces.controller';
import { SupabaseService } from '../supabase/supabase.service';
import { CacheModule } from '@nestjs/cache-manager';

export const SHARED_TYPES = {
  WORKSPACE: "WORKSPACE",
  RICE: "RICE",
};


@Module({
  imports: [
    GitHubModule,
    CacheModule.register(),
  ],
  providers: [SharedService, SupabaseService],
  controllers: [RicesController, SpacesController],
  exports: [SharedService],
})
export class SharedModule { }
